WWWIDGETS = 	QwwColorButton QwwColorComboBox QwwConfigWidget \
		QwwHueSatPicker QwwHueSatRadialPicker \
		QwwListWidget QwwLongSpinBox QwwNavigationBar \
		QwwNumPad QwwRichTextButton QwwTaskPanel \
		QwwTextSpinBox QwwTipWidget QwwTwoColorIndicator \
		QwwFileChooser QwwLoginBox QwwButtonLineEdit \
		QwwClearLineEdit QwwResetLineEdit QwwRichTextEdit QwwListNavigator QwwLed #ADDHERE#

wwwidgets_install_headers{

defineReplace(wwHeaders) {
	variable = $$1
	classes = $$eval($$variable)
	heads =
	for(cls, classes){
		low = $$lower($$cls)
		file = $${low}.h
		path = $$sprintf("widgets/%1/%2", $$low, $$file)
		exists($$path){
			heads += $$path                      # add local header
		} else {
			warning($$path doesn't exist)
		}
		path = widgets/$${low}/$${cls}
		exists($$path){
			heads += $$path                      # add global header
		}

	}
	return($$heads)
}

    INSTALL_HEADERS += widgets/wwglobal.h
    INSTALL_HEADERS += $$wwHeaders(WWWIDGETS)


    flat_headers.files = $$INSTALL_HEADERS
    flat_headers.path = $$[QT_INSTALL_HEADERS]/wwWidgets
    INSTALLS += flat_headers

}

wwwidgets_install_win32{
    dlltarget.path=$$[QT_INSTALL_BINS]
    INSTALLS += dlltarget
}

wwwidgets_install_docs_html {
    INSTALL_DOCS += doc/html/*
    html_docs.files = $$INSTALL_DOCS
    html_docs.path = $$[QT_INSTALL_DOCS]/html/wwwidgets
    INSTALLS += html_docs
}

wwwidgets_install_docs_qch {
    INSTALL_QCH += doc/html/wwwidgets.qch
    qch_docs.files = $$INSTALL_QCH
    qch_docs.path = $$[QT_INSTALL_DOCS]/qch
    INSTALLS += qch_docs
}

wwwidgets_register_qch {
    unix:register.commands = $$[QT_INSTALL_BINS]/assistant -register $$[QT_INSTALL_DOCS]/qch/wwwidgets.qch
    win32:register.commands = $$[QT_INSTALL_BINS]\assistant -register $$[QT_INSTALL_DOCS]\qch\wwwidgets.qch
    register.target = register
    QMAKE_EXTRA_TARGETS += register
}

wwwidgets_install_mkspecs{
    INSTALL_SPECS += wwwidgets.prf
    mkspecs.files = $$INSTALL_SPECS
    mkspecs.path = $$[QT_INSTALL_DATA]/mkspecs/features
    INSTALLS += mkspecs
}

unix {
    UI_DIR = .ui
    MOC_DIR = .moc
    RCC_DIR = .obj
    OBJECTS_DIR = .obj
    VERSION = 0.9.6
}

#win32 {
#    UI_DIR = ui
#    MOC_DIR = moc
#    RCC_DIR = obj
#    OBJECTS_DIR = obj
#}
